warning: scala is broken in Cardea 133.79

I did try Cardea 133.79 this morning and had to roll back to 132.1045. Scala plugin (v311) is broken there.

You gonna get ton of errors like these:

11:09:04 AM RuntimeException: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/oiepishkin/.sbt/boot/scala-2.9.2/lib/scala-library.jar!/scala/ScalaObject.class: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/oiepishkin/.sbt/boot/scala-2.9.2/lib/scala-library.jar!/scala/ScalaObject.class




11:10:47 AM RuntimeException: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/oiepishkin/.sbt/boot/scala-2.9.2/lib/scala-library.jar!/scala/transient.class: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/oiepishkin/.sbt/boot/scala-2.9.2/lib/scala-library.jar!/scala/transient.class

The last good build of Cardea that works with scala is 132.1045: http://confluence.jetbrains.com/pages/viewpage.action?pageId=53318140
You will have to install scala plugin from file. Version 308 could be found here: http://confluence.jetbrains.com/display/SCA/Scala+Plugin+Nightly+Builds+for+Cardea

Scala plugin v308 is the first nightly build with sbt support.

2 comments

I've been having that problem with every version of IntelliJ 13, unfortunately. Every time I open a Scala project in IntelliJ, it yields many errors of that type:

18:00:48 RuntimeException: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/Function8.class: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/Function8.class
18:00:49 RuntimeException: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/Function8.class: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/Function8.class
18:00:55 RuntimeException: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/sys/BooleanProp.class: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/sys/BooleanProp.class
18:00:58 Error: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/collection/generic/Growable.class: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/collection/generic/Growable.class
18:01:06 RuntimeException: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/collection/generic/Growable.class: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/collection/generic/Growable.class
18:01:09 RuntimeException: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/collection/generic/Growable.class: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/collection/generic/Growable.class
18:01:21 RuntimeException: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/collection/generic/Growable.class: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/collection/generic/Growable.class
18:02:18 RuntimeException: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/collection/generic/Growable.class: java.lang.Throwable: Scala File has wrong stub file: jar:///Users/rui/.sbt/boot/scala-2.10.2/lib/scala-library.jar!/scala/collection/generic/Growable.class


For me, it happens with every version of Cardea and the Scala plugin that I tried. I already tried resetting all the preferences and working with very simple test projects, but with no success.

0

Please try latest IDEA EAP with Scala 0.26.308. I made few improvements, probably it will help (however it's not fixed, I'm sure, it can be less frequently reproducible).

Best regards,
Alexander Podkhalyuzin.

0

Please sign in to leave a comment.